std::nested_exception::nested_exception(3)

NAME
std::nested_exception::nested_exception - std::nested_exception::nested_exception

Synopsis
   nested_exception() noexcept; (1) (since C++11)
   nested_exception( const nested_exception& other ) noexcept = (2) (since C++11)
   default;
   Constructs new nested_exception object.
   1) Default constructor. Stores an exception object obtained by calling
   std::current_exception() within the new nested_exception object.
   2) Copy constructor. Initializes the object with the exception stored in other.

Parameters
   other - nested exception to initialize the contents with